#include "stdafx.h"
#include "StepSimulationAction.h"

void StepSimulationAction::setStepInterval(int _stepInterval)
{
	stepInterval = _stepInterval;
}

int StepSimulationAction::getStepInterval()
{
	return stepInterval;
}

void StepSimulationAction::execute()
{
	if (stepInterval == 0){
		simulationController->stepSimulation();
	} else {
		simulationController->stepSimulation(stepInterval);
	}
	
}
void StepSimulationAction::setSimulationController(SimulationController *_simulationController)
{
	simulationController = _simulationController;
}

